# Generated from generamba-1.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name generamba

Name: rubygem-%{gem_name}
Version: 1.5.0
Release: 1%{?dist}
Summary: Advanced code generator for Xcode projects with a nice and flexible template system
License: MIT
URL: https://github.com/rambler-digital-solutions/Generamba
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(fakefs) >= 0.6.1
# BuildRequires: rubygem(fakefs) < 0.7
# BuildRequires: rubygem(activesupport) >= 4.2
# BuildRequires: rubygem(activesupport) < 5
# BuildRequires: rubygem(activesupport) >= 4.2.7
BuildArch: noarch

%description
Generamba is a powerful and easy-to-use Xcode code generator. It provides a
project-based configuration, flexible templates system, the ability to
generate code and tests simultaneously.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/generamba
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VISION.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/generamba.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.5.0-1
- Initial package
